currentfolder=pwd;
% Path to load data
loadpath=[currentfolder,'/output/byyear'];

cd(loadpath);

dd = dir('*.csv');

filesNames = {dd.name};
n = numel(filesNames);



for ii = 1:n

    disp(filesNames{ii})
    
    fid = fopen(filesNames{ii},'rt');
    gperc = textscan(fid, '%f%f%f%f', 'Delimiter',',', 'HeaderLines',1, 'EmptyValue',NaN);
    fclose(fid);
    p = deal(gperc{1});
    thr = deal(gperc{2});
    ytop = deal(gperc{3});
    b = deal(gperc{4});

    if ~all(diff(thr)>=0)
        disp('Thresholds are not in ascending order.')
        p(diff(thr)<0)
    end
    
    if ~all(diff(p)>=0)
        disp('Percentiles are not in ascending order.')
    end
    
    if ~all(p>=0)||~all(p<=100)
        disp('Percentiles are not all between 0 and 100.')
    end
    
    av = ((100-p(1:end-1)).*ytop(1:end-1)-(100-p(2:end)).*ytop(2:end))./(p(2:end)-p(1:end-1));
    mu = (av-thr(1:end-1))./(thr(2:end)-thr(1:end-1));
    
    if ~all(mu>=0)||~all(mu<=1)
        disp('Implied averages are not lying in corresponding brackets.')
        p(mu<0|mu>1)
    end
    
    if ~all(b>=1)
        disp('Some Pareto coefficients are lower than 1.')
    end

end